compat: fix compilation warning for compat_firmware_class on 2.6.26